Package org.apache.sling.jackrabbit.usermanager.impl.post

# Class AbstractGroupPostServlet

java.lang.Object
jakarta.servlet.GenericServlet
org.apache.sling.api.servlets.SlingJakartaSafeMethodsServlet
org.apache.sling.api.servlets.SlingJakartaAllMethodsServlet
org.apache.sling.jackrabbit.usermanager.impl.post.AbstractPostServlet
org.apache.sling.jackrabbit.usermanager.impl.post.AbstractAuthorizablePostServlet
org.apache.sling.jackrabbit.usermanager.impl.post.AbstractGroupPostServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `CreateGroupServlet`, `UpdateGroupServlet`

public abstract class AbstractGroupPostServlet extends AbstractAuthorizablePostServlet
Base class for servlets manipulating groups

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.sling.jackrabbit.usermanager.impl.post.AbstractAuthorizablePostServlet

`principalNameFilter, principalNameGenerators, PROP_DATE_FORMAT, RP_NODE_NAME_HINT_VALUE_FROM, RP_NODE_NAME_VALUE_FROM, systemUserManagerPaths`

## Constructor Summary

Constructors
Constructor
Description
`AbstractGroupPostServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`updateGroupMembership(org.apache.sling.api.resource.Resource baseResource, Map<String,?> properties, org.apache.jackrabbit.api.security.user.Authorizable authorizable, List<org.apache.sling.servlets.post.Modification> changes)`
Update the group membership based on the ":member" request parameters.

### Methods inherited from class org.apache.sling.jackrabbit.usermanager.impl.post.AbstractAuthorizablePostServlet

`activate, bindPrincipalNameFilter, bindPrincipalNameGenerator, bindSystemUserManagerPaths, collectContentMap, concatPath, convertToRequestParameterArray, convertToString, convertToStringArray, deactivate, getOrGeneratePrincipalName, hasItemPathPrefix, processCreate, processDeletes, requireItemPathPrefix, unbindPrincipalNameFilter, unbindPrincipalNameGenerator, writeContent`

### Methods inherited from class org.apache.sling.jackrabbit.usermanager.impl.post.AbstractPostServlet

`bindPostResponseCreator, doPost, externalizePath, getItemPath, getRanking, getRedirectUrl, handleOperation, isSetStatus, unbindPostResponseCreator`

### Methods inherited from class org.apache.sling.api.servlets.SlingJakartaAllMethodsServlet

`doDelete, doPut, getAllowedRequestMethods, isMethodValid, mayService`

### Methods inherited from class org.apache.sling.api.servlets.SlingJakartaSafeMethodsServlet

`doGeneric, doGet, doHead, doOptions, doTrace, getServletInfo, handleMethodNotImplemented, service, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractGroupPostServlet

public AbstractGroupPostServlet()

## Method Details

### updateGroupMembership

protected void updateGroupMembership(org.apache.sling.api.resource.Resource baseResource, Map<String,?> properties, org.apache.jackrabbit.api.security.user.Authorizable authorizable, List<org.apache.sling.servlets.post.Modification> changes) throws javax.jcr.RepositoryException
Update the group membership based on the ":member" request parameters. If the ":member" value ends with @Delete it is removed from the group membership, otherwise it is added to the group membership.

Parameters:
  `baseResource` - the group resource of the `authorizable`
  `properties` - the request parameters
  `authorizable` - the group to update
  `changes` - the changes which are done by this operation (list is extended)
Throws:
  `javax.jcr.RepositoryException` - when updating the membership failed